Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dba.oracle
Class OracleSelectTranslator

    java.lang.Object
      org.objectstyle.cayenne.access.QueryTranslator
          org.objectstyle.cayenne.access.trans.QueryAssembler
              org.objectstyle.cayenne.access.trans.SelectTranslator
                  org.objectstyle.cayenne.dba.oracle.OracleSelectTranslator

    public class OracleSelectTranslator

extends SelectTranslator

Select translator that implements Oracle-specific optimizations.

Author:
  Andrei Adamchik

Field Summary

Fields inherited from class org.objectstyle.cayenne.access.trans.SelectTranslator
`UNSUPPORTED_DISTINCT_TYPES`

Fields inherited from class org.objectstyle.cayenne.access.trans.QueryAssembler
`attributes, values`

Fields inherited from class org.objectstyle.cayenne.access.QueryTranslator
`adapter, connection, engine, entityResolver, query`

Constructor Summary
`OracleSelectTranslator()`

Method Summary
`java.lang.String` | `createSqlString()` Returns query translated to SQL.
`java.sql.PreparedStatement` | `createStatement()` Translates internal query into PreparedStatement, applying Oracle optimizations if possible.

Methods inherited from class org.objectstyle.cayenne.access.trans.SelectTranslator
`aliasForTable, aliasForTable, dbRelationshipAdded, getAttributeOverrides, getColumns, getResultColumns, isSuppressingDistinct, isUnsupportedForDistinct, newAliasForTable, supportsTableAliases`

Methods inherited from class org.objectstyle.cayenne.access.trans.QueryAssembler
`addToParamList, initStatement`

Methods inherited from class org.objectstyle.cayenne.access.QueryTranslator
`createStatement, getAdapter, getCon, getConnection, getEngine, getEntityResolver, getQuery, getRootDbEntity, getRootEntity, getRootInheritanceTree, setAdapter, setCon, setConnection, setEngine, setEntityResolver, setQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleSelectTranslator

    public OracleSelectTranslator()

Method Detail

### createSqlString

    public java.lang.String createSqlString()
                                     throws java.lang.Exception

  Description copied from class: `SelectTranslator`
  Returns query translated to SQL. This is a main work method of the SelectTranslator.

  Overrides:
    `createSqlString` in class `SelectTranslator`
  Throws:
    `java.lang.Exception`

### createStatement

    public java.sql.PreparedStatement createStatement()
                                               throws java.lang.Exception

  Translates internal query into PreparedStatement, applying Oracle optimizations if possible.

  Overrides:
    `createStatement` in class `QueryAssembler`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.